# Get outgoing messages count grouped by entity

URL: https://www.inclamo.com/docs/api/application/reports/get-outgoing-messages-count

> Get the count of outgoing messages grouped by a specified entity (agent, team, inbox, or label).
When grouped by agent, messages sent by bots (AgentBot, Captain::Assistant) are excluded.

**Note:** This API endpoint is available only in Chatwoot version 4.11.0 and above.


## GET /api/v2/accounts/{account_id}/reports/outgoing_messages_count

Get outgoing messages count grouped by entity

Get the count of outgoing messages grouped by a specified entity (agent, team, inbox, or label).
When grouped by agent, messages sent by bots (AgentBot, Captain::Assistant) are excluded.

**Note:** This API endpoint is available only in Chatwoot version 4.11.0 and above.


Base URL: https://helpdesk.inclamo.com

### Parameters

- `account_id` (path, required, integer): The numeric ID of the account
- `since` (query, string): The timestamp from where report should start (Unix timestamp).
- `until` (query, string): The timestamp from where report should stop (Unix timestamp).
- `group_by` (query, required, string): The entity to group outgoing message counts by.

### Responses

- 200: Success
- 403: Access denied

Schemas referenced with $ref are defined in the OpenAPI file: https://www.inclamo.com/docs/api/openapi.json
